## GstVaapiDecoderMpeg2 GstVaapiDecoderMpeg2 — MPEG-2 decoder |

## Functions

GstVaapiDecoder * | gst_vaapi_decoder_mpeg2_new ()

## Types and Values

| GstVaapiDecoderMpeg2

## Description

## Functions

### gst_vaapi_decoder_mpeg2_new ()

    GstVaapiDecoder *
    gst_vaapi_decoder_mpeg2_new (GstVaapiDisplay *display,
                                 GstCaps *caps);

Creates a new GstVaapiDecoder for MPEG-2 decoding. The `caps` can hold extra information like codec-data and pictured coded size.

#### Parameters

display | a GstVaapiDisplay |
caps | a GstCaps holding codec information |

#### Returns

the newly allocated GstVaapiDecoder object

## Types and Values

### GstVaapiDecoderMpeg2

    typedef struct _GstVaapiDecoderMpeg2 GstVaapiDecoderMpeg2;

A decoder based on Mpeg2.